﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="userList.aspx.cs" Inherits="oa.publicWin.userList" %>

<!DOCTYPE html>
<html>
<head id="Head1" runat="server">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=10,chrome=1" />
    <title>
        <%=Session["Titles"]%></title>
    <%
        if (Request.QueryString["g1"] == null)
        {
            Response.Write("参数错误");
            Response.End();
        }

        if (Session["username"] == null)
        {
            Response.Redirect("/");
            return;
        }
    %>
    <meta name="keywords" content="#">
    <meta name="description" content="#">
    <link type="text/css" rel="stylesheet" href="/css/ligerui-grid.css?od=1" />
    <link href="/css/content_<%=Session["myCss"] %>.css" rel="stylesheet" />
    <link href="/css/style_<%=Session["myCss"] %>.css" rel="stylesheet" />
    <link type="text/css" rel="stylesheet" href="/css/buttonui.css" />
    <link type="text/css" rel="stylesheet" href="/css/openWin.css" />
    <script type="text/javascript" src="/js/jquery-1.8.3.js"></script>
    <script type="text/javascript" src="/js/public.js"></script>
    <script type="text/javascript" src="/js/openWin.js"></script>
    <script type="text/javascript">
        $(function () {
            //searchUserList($("#sLeixing").val(), $("#sId").val(), $("#sName").val(), $("#keyWord").val());
            GjsearchUserList();
            yzusergb();
            $(".userUp").click(function () {
                $(this).hide();
                $(".userDown").show();
                $(".userList").hide();
                $(".userContent").height(311);
            });
            $(".userDown").click(function () {
                $(this).hide();
                $(".userUp").show();
                $(".userList").show();
                $(".userContent").height(75);

            });

            $("#quanxuan").click(function () {

                if ($("#quanxuan").is(':checked')) {
                    $(".userList-la").css("background-color", "#F6EFEC");
                    $("input[name='userChk']").each(function () {
                        if ($(this).is(':checked') == false) {
                            $(this).attr('checked', 'true');
                            var arr = $(this).val().split('|');
                            var username = "", realname = "", pic = "";
                            for (var i = 0; i < arr.length; i++) {
                                username = arr[0];
                                realname = arr[1];
                                pic = arr[2];
                            }
                            $("#userEndList").val("" + $("#userEndList").val() + "" + username + "|" + realname + "^");
                            $("#bUserUl").append("<li onmouseover=\"overTx('" + username + "')\" onmouseout=\"outTx('" + username + "')\" id=\"b_u_" + username + "\" ondblclick=\"moveUser('" + username + "','" + realname + "')\" class=\"userLi\"><span onclick=\"moveUser('" + username + "','" + realname + "')\"  id=\"tx_" + username + "\"  style=\"display:none;\">x</span><img src=\"" + pic + "\" class=\"userList-lal\"/><p>" + realname + "</p></li>");
                        }
                    });

                }
                else {
                    $(".userList-la").css("background-color", "");
                    $("input[name='userChk']").each(function () {
                        if ($(this).is(':checked')) {
                            $(this).removeAttr('checked');
                            var arr = $(this).val().split('|');
                            var username = "", realname = "", pic = "";
                            for (var i = 0; i < arr.length; i++) {
                                username = arr[0];
                                realname = arr[1];
                                pic = arr[2];
                            }
                            var thstr = "^" + username + "|" + realname + "^";
                            $("#userEndList").val("" + $("#userEndList").val().replace("" + thstr + "", "^") + "");
                            $("#b_u_" + username + "").remove();
                        }
                    });

                }
                yzusergb();
            });


        })


        function searchUserList(leixing, id, idName, keyWord) {
            $("#quanxuan").removeAttr('checked');
            $("#sLeixing").val(leixing);
            $("#sId").val(id);
            $("#sName").val(idName);
            $("#keyWord").val(keyWord);

            if (leixing == "1") {
                $("#dhNames").html("组织架构 >> " + idName + "");
            }
            else if (leixing == "2") {
                $("#dhNames").html("职位 >> " + idName + "");
            }
            else if (leixing == "3") {
                $("#dhNames").html("群组 >> " + idName + "");
            }
            else if (leixing == "4") {
                $("#dhNames").html("全部搜索");
            }

            $.post("userListSearch.aspx?tmp=" + Math.random() + "",
                {
                    lcKey: '<%=Request.QueryString["lcKey"] %>',
                    refB: '<%=Request.QueryString["refB"] %>',
                    tsUsername: '<%=Session["Username"] %>',
                    tsPassword: '<%=Session["Password"] %>',
                    sLeixing: $("#sLeixing").val(),
                    sId: $("#sId").val(),
                    sName: encodeURI($("#sName").val()),
                    skeyWord: encodeURI($("#keyWord").val()),
                    sConent: encodeURI($("#userEndList").val())
                },
                function (data, status) {

                    if (data.result == "10001") {
                        var htms = "";
                        if (data.data != "") {
                            $.each(data.data, function (i, item) {
                                htms += "<li>";


                                htms += "<div class=\"userList-la\" id=\"d_u_" + item.username + "\" style=\"" + item.bgColor + "\">";
                                htms += "<div class=\"userList-lal2\">";
                                htms += "<input " + item.ifChk + " id=\"u_" + item.username + "\" type=\"checkbox\" name=\"userChk\" value=\"" + item.username + "|" + item.Realname + "|" + item.pic + "\"  onclick=\"rightUserC('" + item.username + "','" + item.Realname + "','" + item.pic + "')\"/></div>";
                                htms += "<div class=\"userList-lal\" onclick=\"rightUser('" + item.username + "','" + item.Realname + "','" + item.pic + "')\">";
                                htms += "<img src=\"" + item.pic + "\" /></div>";
                                htms += "<div class=\"userList-lar\" onclick=\"rightUser('" + item.username + "','" + item.Realname + "','" + item.pic + "')\">";
                                htms += "<p><b>" + item.Realname + "</b></p>";
                                htms += "<p>" + item.BuMenName + "</p>";
                                htms += "</div>";
                                htms += "</div>";

                                htms += "</li>";
                            });

                            $("#menu_list").html("" + htms + "");
                        } else {
                            htms += "<li class=\"archives-a\">没有查询到数据</li>";
                            $("#menu_list").html("" + htms + "");

                        }
                    }
                    else {
                        alert(data.result);
                    }
                }, "json");
        }

        function GjsearchUserList() {
            $("#quanxuan").removeAttr('checked');
            $("#sLeixing").val("4");
            $("#sId").val("0");
            $("#sName").val("全部组织架构");
            $("#keyWord").val("");
            var cxstr = "";
            if ($("#sBuMenId").val() != "") {
                cxstr += "部门：" + $("#sBuMenId").find("option:selected").text().replace(/\|/g, "").replace(/\-/g, "") + "，";
            }
            if ($("#sZhiweiid").val() != "") {
                cxstr += "职位：" + $("#sZhiweiid").find("option:selected").text() + "，";
            }
            if ($("#sMyUserList").val() != "") {
                cxstr += "群组：" + $("#sMyUserList").find("option:selected").text() + "，";
            }
            if ($("#sRealname").val() != "") {
                cxstr += "姓名：" + $("#sRealname").val() + "，";
            }
            if (cxstr == "") {
                $("#dhNames").html("高级搜索 >> 全部");
            }
            else {
                $("#dhNames").html("高级搜索 >> " + cxstr + "");
            }
            $.post("userListSearch.aspx?tmp=" + Math.random() + "",
                {
                    lcKey: '<%=Request.QueryString["lcKey"] %>',
                    refB: '<%=Request.QueryString["refB"] %>',
                    tsUsername: '<%=Session["Username"] %>',
                    tsPassword: '<%=Session["Password"] %>',
                    sLeixing: $("#sLeixing").val(),
                    sBuMenId: $("#sBuMenId").val(),
                    sZhiweiid: $("#sZhiweiid").val(),
                    sMyUserList: $("#sMyUserList").val(),
                    sRealname: encodeURI($("#sRealname").val()),
                    sConent: $("#userEndList").val()
                },
                function (data, status) {

                    if (data.result == "10001") {
                        var htms = "";
                        if (data.data != "") {
                            $.each(data.data, function (i, item) {
                                htms += "<li>";
                                htms += "<div class=\"userList-la\" id=\"d_u_" + item.username + "\" style=\"" + item.bgColor + "\">";
                                htms += "<div class=\"userList-lal2\">";
                                htms += "<input " + item.ifChk + " id=\"u_" + item.username + "\" type=\"checkbox\" name=\"userChk\" value=\"" + item.username + "|" + item.Realname + "|" + item.pic + "\"  onclick=\"rightUserC('" + item.username + "','" + item.Realname + "','" + item.pic + "')\"/></div>";
                                htms += "<div class=\"userList-lal\" onclick=\"rightUser('" + item.username + "','" + item.Realname + "','" + item.pic + "')\">";
                                htms += "<img src=\"" + item.pic + "\" /></div>";
                                htms += "<div class=\"userList-lar\" onclick=\"rightUser('" + item.username + "','" + item.Realname + "','" + item.pic + "')\">";
                                htms += "<p><b>" + item.Realname + "</b></p>";
                                htms += "<p>" + item.BuMenName + "</p>";
                                htms += "</div>";
                                htms += "</div>";
                                htms += "</li>";
                            });

                            $("#menu_list").html("" + htms + "");
                        } else {
                            htms += "<li class=\"archives-a\">没有查询到数据</li>";
                            $("#menu_list").html("" + htms + "");

                        }
                    }
                    else {
                        alert(data.result);
                    }
                }, "json");
            }

                        function setToData() {
            var f1="";
            var f2="";
                  var arr = $("#userEndList").val().split('^');
                            for (var i = 0; i < arr.length; i++) {
                              if(arr[i]!="")
                              {
                                var arrs = arr[i].split('|');
                                f1+=""+arrs[0]+",";
                                f2+=""+arrs[1]+",";
                              }
                            }
                
                try{<%=Request.QueryString["from"] %>.document.getElementById("<%=Request.QueryString["f1"] %>").value = f1;}catch (e) {try{parent.myFrameName.document.getElementById("<%=Request.QueryString["f1"] %>").value = f1;}catch (e) {try{parent.document.getElementById("<%=Request.QueryString["f1"] %>").value = f1;}catch (e) {try{parent.nextrform.document.getElementById("<%=Request.QueryString["f1"] %>").value = f1;}catch (e) {};};};};
                try{<%=Request.QueryString["from"] %>.document.getElementById("<%=Request.QueryString["f2"] %>").value = f2;}catch (e) {try{parent.myFrameName.document.getElementById("<%=Request.QueryString["f2"] %>").value = f2;}catch (e) {try{parent.document.getElementById("<%=Request.QueryString["f2"] %>").value = f2;}catch (e) {try{parent.nextrform.document.getElementById("<%=Request.QueryString["f2"] %>").value = f2;}catch (e) {};};};};
                 try{<%=Request.QueryString["from"] %>.IndexDemo();}catch (e) {}
                if("<%=Request.QueryString["refB"] %>"!="undefined"&&"<%=Request.QueryString["refB"] %>"!=""){try{<%=Request.QueryString["from"] %>.document.all.GetShuaXin.click();}catch (e) {}}
                var index = <%=Request.QueryString["close"] %>.layer.getFrameIndex(window.name);<%=Request.QueryString["close"] %>.layer.close(index);
            }

    </script>
    <style type="text/css">
        .clicked
        {
            background: #ffff00;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="userHead">
        <ul>
            <li>
                <img src="../images/ico-zzjg.png"><a href="javascript:;" onclick="userLb('1')" id="h1">组织架构</a></li>
            <li>
                <img src="../images/icon-post.png"><a href="javascript:;" onclick="userLb('2')" id="h2">职位查询</a></li>
            <li>
                <img src="../images/icon-group.png"><a href="javascript:;" onclick="userLb('3')"
                    id="h3">常用群组</a></li>
            <li>
                <img src="../images/icon-glass2.png"><a href="javascript:;" class="active" onclick="userLb('4')"
                    id="h4">高级搜素</a></li>
        </ul>
    </div>
    <div class="userList-dh">
        <ul>
            <li style="width: 48%; padding-left: 19px;" id="dhNames">高级搜索 >> 全部</li>
            <li style="width: 49%; text-align: right">
                <div class="openUser-XzPic" onclick='searchUserList($("#sLeixing").val(), $("#sId").val(), $("#sName").val(), $("#keyWord").val());'
                    id="ShuaXin" style="display: none;">
                </div>
                <input type="text" class="openUser-input" placeholder="请输入姓名查询" id="keyWord" onkeydown="if (event.keyCode==13) { document.all.ShuaXin.click(); return false;}"
                    style="display: none;" />
            </li>
        </ul>
    </div>
    <div class="userList">
        <div class="userListn">
            <div class="userList-l" id="u1" style="display: none;">
                <asp:TreeView ID="BmTree" runat="server" CollapseImageUrl="~/images/2.gif" ExpandImageUrl="~/images/1.gif"
                    ShowLines="True">
                    <SelectedNodeStyle Font-Bold="False" />
                    <NodeStyle HorizontalPadding="5px" VerticalPadding="1px" />
                </asp:TreeView>
            </div>
            <div id="u2" class="userList-l" style="display: none;">
                <asp:TreeView ID="ZwTree" runat="server" CollapseImageUrl="~/images/2.gif" ExpandImageUrl="~/images/1.gif"
                    ShowLines="True">
                    <SelectedNodeStyle Font-Bold="False" />
                    <NodeStyle HorizontalPadding="5px" VerticalPadding="1px" />
                </asp:TreeView>
            </div>
            <div id="u3" class="userList-l" style="display: none;">
                <asp:TreeView ID="QzTree" runat="server" CollapseImageUrl="~/images/2.gif" ExpandImageUrl="~/images/1.gif"
                    ShowLines="True">
                    <SelectedNodeStyle Font-Bold="False" />
                    <NodeStyle HorizontalPadding="5px" VerticalPadding="1px" />
                </asp:TreeView>
            </div>
            <div id="u4" class="userList-l">
                <table width="100%" align="center" cellpadding="6" cellspacing="0">
                    <tr>
                        <td class="table-a-left" width="13%">
                            部门
                        </td>
                        <td class="table-a-right" width="87%">
                            <asp:DropDownList CssClass="qsdj-select" ID="sBuMenId" runat="server" onchange="GjsearchUserList()">
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-a-left" width="13%">
                            职位
                        </td>
                        <td class="table-a-right" width="87%">
                            <asp:DropDownList CssClass="qsdj-select" ID="sZhiweiid" runat="server" onchange="GjsearchUserList()">
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-a-left" width="13%">
                            群组
                        </td>
                        <td class="table-a-right" width="87%">
                            <asp:DropDownList CssClass="qsdj-select" ID="sMyUserList" runat="server" onchange="GjsearchUserList()">
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-a-left" width="13%">
                            姓名
                        </td>
                        <td class="table-a-right" width="87%">
                            <asp:TextBox ID="sRealname" runat="server" CssClass="qsdj-input" onkeydown="if (event.keyCode==13) { document.all.Button1.click(); return false;}"></asp:TextBox>
                        </td>
                    </tr>
                </table>
                <div class="qsdj-e">
                    <input id="Button1" type="button" value="查 询" class="list-bba-submit" onclick="GjsearchUserList()" />
                    <input id="Button4" type="button" value="清除查询" class="list-bba-reset" onclick='$("#sBuMenId").val("");$("#sZhiweiid").val("");$("#sMyUserList").val("");$("#sRealname").val("");GjsearchUserList()' />
                </div>
            </div>
            <div class="userList-r">
                <div style="padding-left: 3px;">
                    <input id="quanxuan" type="checkbox" /><label for="quanxuan">全选</label>
                </div>
                <ul id="menu_list">
                </ul>
            </div>
        </div>
    </div>
    <div class="userUp">
        <img src="/images/zk-t.png" alt="更多已选人员" /><span class="xzcss"></span></div>
    <div class="userDown">
        <img src="/images/zk.png" alt="隐藏更多已选人员" /><span class="xzcss"></span></div>
    <div class="userContent">
        <img src="../images/usergb.png" class="usergb" alt="清空全部" onclick="moveAllUser()"
            style="display: none;">
        <ul id="bUserUl">
            <%=setLists %>
        </ul>
    </div>
    <div class="qsdj-e">
        <input id="userEndList" type="hidden" value="^" runat="server" />
        <input id="sLeixing" type="hidden" value="4" />
        <input id="sId" type="hidden" value="0" />
        <input id="sName" type="hidden" value="全部组织架构" />
        <input id="Button2" type="button" value="确定" class="btn-ba-qd" onclick="setToData();" />
        <input id="Button3" type="button" value="关闭" class="btn-ba-qx" onclick="var index = <%=Request.QueryString["close"] %>.layer.getFrameIndex(window.name);<%=Request.QueryString["close"] %>.layer.close(index);" />
    </div>
    <script type="text/javascript">
        $("a").click(function (e) {
            $("a").removeClass("clicked");
            $(this).addClass("clicked");
        });
    

    </script>
    </form>
</body>
</html>
